vty-unix-0.2.0.0: Unix backend for Vty

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.Platform.Unix.Input.Paste

Description

This module provides bracketed paste support as described at

http://cirw.in/blog/bracketed-paste

This module is exposed for testing purposes only; applications should never need to import this directly.

Synopsis

- parseBracketedPaste :: ByteString -> KClass
- bracketedPasteStarted :: ByteString -> Bool
- bracketedPasteFinished :: ByteString -> Bool

# Documentation

parseBracketedPaste :: ByteString -> KClass Source #

Parse a bracketed paste. This should only be called on a string if both `bracketedPasteStarted` and `bracketedPasteFinished` return `True`.

bracketedPasteStarted :: ByteString -> Bool Source #

Does the input start a bracketed paste?

bracketedPasteFinished :: ByteString -> Bool Source #

Does the input contain a complete bracketed paste?